<?php
include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
//AJUSTE ERROS
//AJUSTAR ERRO DO JEFFERSON DO VALOR 
//ROTINA PARA AJUSTAR LOGSFINANCEIRO , PARA .
/*$SelecionaLogFinanceiro = Seleciona("logs_financeiro", "WHERE idpagamento IS NOT NULL", "") or die(mysql_error());
while($logsfinanceiro = mysql_fetch_array($SelecionaLogFinanceiro)){         
    //SELECIONO PAGAMENTOS
    $SelecionaPagamentos = Seleciona("pagamentos", "WHERE idpagamento='".$logsfinanceiro['idpagamento']."'", "LIMIT 0,1")  or die(mysql_error());
    while($pagamento = mysql_fetch_array($SelecionaPagamentos)){   
       $valor_pagamento = str_replace(",",".",$pagamento['valor']); 
    }
    //ATUALIZO LOG
    $AlterarLogFinaneiro = Alterar("logs_financeiro", "valor='$valor_pagamento'", "idpagamento", $logsfinanceiro['idpagamento'])  or die(mysql_error());
    //ZERO VALOR LOG
    $valor_pagamento = "";
}
exit();
*/

//ROTINA PARA AJUSTAR VENDAS PRODUTOS , PARA .
$SelecionaVendas = Seleciona("vendas_produtos", "", "");
while($vendas_produtos = mysql_fetch_array($SelecionaVendas)){
    $valor_unitario = str_replace(",",".",$vendas_produtos['valor_unitario']);
    $valor_total_servico = str_replace(",",".",$vendas_produtos['valor_total_servico']);
    $valor_comissao = str_replace(",",".",$vendas_produtos['valor_comissao']);
    $valor_custo = str_replace(",",".",$vendas_produtos['valor_custo']);
    
//ALTERO LINHA PARA VALOR CORRETO
    $AlterarVendaProduto = Alterar("vendas_produtos", "valor_unitario='$valor_unitario', valor_total_servico='$valor_total_servico', valor_comissao='$valor_comissao', valor_custo='$valor_custo'", "idproduto_venda", $vendas_produtos['idproduto_venda']);

//ZERO TODAS AS VARIAVEIS
    $valor_unitario = "";
    $valor_total_servico = "";
    $valor_comissao = "";
    $valor_custo = "";                               
}

//ROTINA PARA AJUSTAR PAGAMENTOS , PARA .
$SelecionaPagamentos = Seleciona("pagamentos", "", "");
while($pagamentos = mysql_fetch_array($SelecionaPagamentos)){
    $valor_pagamento = str_replace(",",".",$pagamentos['valor']);
    
    //ATUALIZO PAGAMENTO
    $AlterarPagamento = Alterar("pagamentos", "valor='$valor_pagamento'", "idpagamento", $pagamentos['idpagamento']);
    //ZERO VALOR PAGAMENTO
    $valor_pagamento = "";
}

//ROTINA PARA AJUSTAR LOGSFINANCEIRO , PARA .
$SelecionaLogFinanceiro = Seleciona("logs_financeiro", "", "");
while($logsfinanceiro = mysql_fetch_array($SelecionaLogFinanceiro)){
    $valor_log = str_replace(",",".",$logsfinanceiro['valor']);
    
    //ATUALIZO LOG
    $AlterarLogFinaneiro = Alterar("logs_financeiro", "valor='$valor_log'", "idlogfinanceiro", $logsfinanceiro['idlogfinanceiro']);
    //ZERO VALOR LOG
    $valor_log = "";
}

//ROTINA PARA AJUSTAR PRODUTOS LOJA , PARA .
$SelecionaProdutosLoja = Seleciona("produtos_loja", "", "");
while($produtos_loja = mysql_fetch_array($SelecionaProdutosLoja)){
    $valorcusto_produto_loja = str_replace(",",".",$produtos_loja['valor_custo']);
    $valorvenda_produto_loja = str_replace(",",".",$produtos_loja['valor_venda']);
    
    //ATUALIZO PRODUTOS LOJA
    $AlterarProdutosLoja = Alterar("produtos_loja", "valor_custo='$valorcusto_produto_loja', valor_venda='$valorvenda_produto_loja'", "idproduto_loja", $produtos_loja['idproduto_loja']);
    //ZERO VALOR PRODUTO LOJA
    $valorcusto_produto_loja = "";
    $valorvenda_produto_loja = "";
}

?>